"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFixtureFactory = void 0;
const fixture_1 = require("./fixture");
const field_generator_1 = require("./property-builders/field-generator");
function createFixtureFactory(...extensions) {
    function createFixture(defineFields) {
        const extension = extensions.reduce((obj, ext) => {
            Object.keys(ext).forEach((k) => (obj[k] = ext[k]));
            return obj;
        }, {});
        const builders = Object.assign(Object.assign({}, field_generator_1.fieldTypeGenerators), extension);
        const buildersList = [];
        const proxy = new Proxy({}, {
            get(target, property) {
                const wrappedBuilders = Object.keys(builders).reduce((obj, key) => {
                    obj[key] = (...args) => {
                        buildersList.push(builders[key](property, args));
                    };
                    return obj;
                }, {});
                return wrappedBuilders;
            },
        });
        defineFields(proxy);
        return new fixture_1.default(buildersList);
    }
    return createFixture;
}
exports.createFixtureFactory = createFixtureFactory;
