import { FieldGeneratorFunc } from './types';
import type { PartialDeep } from 'type-fest';
export declare type OverrideFunction = (fixture: any) => void;
export declare type Override<T> = PartialDeep<T> | OverrideFunction;
export declare type ArrayParameterFunction<T> = (index: number, create: (overrides?: Override<T>) => T) => T;
export declare type CreateArrayParameter<T> = PartialDeep<T> | Array<PartialDeep<T>> | ArrayParameterFunction<T>;
export default class Fixture<T> {
    private instanceCount;
    private builders;
    constructor(builders: FieldGeneratorFunc[]);
    create(overrides?: Override<T>): T;
    createArrayWith(length: number, params?: CreateArrayParameter<T>): T[];
}
