"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFixtureFactory = exports.Field = void 0;
const fixture_1 = require("./fixture");
const field_1 = require("./field");
exports.Field = field_1.default;
const fixture_factory_1 = require("./fixture-factory");
Object.defineProperty(exports, "createFixtureFactory", { enumerable: true, get: function () { return fixture_factory_1.createFixtureFactory; } });
const array_field_builder_1 = require("./property-builders/array-field-builder");
const number_field_builder_1 = require("./property-builders/number-field-builder");
const boolean_field_builder_1 = require("./property-builders/boolean-field-builder");
const date_field_builder_1 = require("./property-builders/date-field-builder");
const email_field_builder_1 = require("./property-builders/email-field-builder");
const from_fixture_field_builder_1 = require("./property-builders/from-fixture-field-builder");
const function_field_builder_1 = require("./property-builders/function-field-builder");
const array_of_fixture_builder_1 = require("./property-builders/array-of-fixture-builder");
const string_field_builder_1 = require("./property-builders/string-field-builder");
const propertyBuilders = {
    asStringBuilder: string_field_builder_1.asStringBuilder,
    asArrayBuilder: array_field_builder_1.default,
    asNumberBuilder: number_field_builder_1.default,
    asBooleanBuilder: boolean_field_builder_1.default,
    asDateBuilder: date_field_builder_1.default,
    asEmailbuilder: email_field_builder_1.default,
    fromFixtureBuilder: from_fixture_field_builder_1.default,
    buildFromFunction: function_field_builder_1.default,
    arrayOfFixtureBuilder: array_of_fixture_builder_1.default,
};
exports.default = fixture_1.default;
