"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = require("../field");
const lorem_ipsum_1 = require("./lorem-ipsum");
const defaultOptions = {
    maxLength: 25,
    minLength: 10,
};
const generateText = ({ minLength, maxLength }) => {
    const constrainedMaxLength = lorem_ipsum_1.loremIpsumText.length - maxLength;
    const startPosition = Math.floor(Math.random() * constrainedMaxLength);
    const length = Math.floor(Math.random() * (maxLength - minLength + 1)) + minLength;
    return lorem_ipsum_1.loremIpsumText.substr(startPosition, length);
};
const loremIpsumBuilder = (fieldName, [options]) => (increment) => {
    const optionsWithDefaults = Object.assign(Object.assign({}, defaultOptions), options);
    return new field_1.default(fieldName, generateText(optionsWithDefaults));
};
exports.default = loremIpsumBuilder;
