"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asStringBuilder = exports.fullNameBuilder = exports.lastNameBuilder = exports.firstNameBuilder = exports.withConstantBuilder = exports.withValueBuilder = void 0;
const field_1 = require("../field");
const names_1 = require("./names");
const debugFn = require("debug");
const debug = debugFn('efate:string-field-builder');
const asStringBuilder = (fieldName) => (increment) => new field_1.default(fieldName, `${fieldName}${increment}`);
exports.asStringBuilder = asStringBuilder;
const withValueBuilder = (fieldName, [value]) => (increment) => new field_1.default(fieldName, `${value}${increment}`);
exports.withValueBuilder = withValueBuilder;
const withConstantBuilder = (fieldName, [constantValue]) => (increment) => new field_1.default(fieldName, constantValue);
exports.withConstantBuilder = withConstantBuilder;
const getRandomElement = (list) => {
    const i = Math.floor(Math.random() * list.length);
    return list[i];
};
const firstNameBuilder = (fieldName) => (increment) => new field_1.default(fieldName, getRandomElement(names_1.firstNames));
exports.firstNameBuilder = firstNameBuilder;
const lastNameBuilder = (fieldName) => (increment) => new field_1.default(fieldName, getRandomElement(names_1.lastNames));
exports.lastNameBuilder = lastNameBuilder;
const fullNameBuilder = (fieldName) => (increment) => new field_1.default(fieldName, `${getRandomElement(names_1.firstNames)} ${getRandomElement(names_1.lastNames)}`);
exports.fullNameBuilder = fullNameBuilder;
